Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4059 - Support for xkbmap missing
Summary: Support for xkbmap missing
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xinitrc
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-15 21:08 UTC by Milan Kerslager
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-09-23 18:30:33 UTC


Attachments (Terms of Use)

Description Milan Kerslager 1999-07-15 21:08:29 UTC
As xkb is 'new and true' support for national keyboards
under X we need support for easy localization of RH
distributions.

/etc/X11/xinit/xinitrc should contain something like:

userxkbmap=$HOME/.Xkbmap
sysxkbmap=/etc/X11/xinit/Xkbmap

if [ -f $sysxkbmap ]; then
    setxkbmap `cat $sysxkbmap`
fi

if [ -f $userxkbmap ]; then
    setxkbmap `cat $userxkbmap`
fi

Same sequence is needed in /etc/X11/xdm/Xsession.

There is a problem: setxkbmap do not read configuration from
file so I used `cat file`.

Another problem is that use of mutilple methods of keyboards
settings are bad in final effect. So the scripts should
raher contain something like (to avoid keyboard malfunction
due users stupidity):

if  [ -f ...]; then
...
elif [ -f ...]; then
...
elif [ -f ...]; then
...
fi

This was in one of this files already but somebody changed
both to (bad) current form. I mean that the first condition
should be xkb method mentioned above as this is new and will
be supported in future. Thus other methods should never be
used when xkb is once configured.

Thanx a lot.

Comment 1 Milan Kerslager 1999-09-14 23:08:59 UTC
Patch submited. If you want, download whole PGP signed package:
ftp://ftp.spsselib.hiedu.cz/pub/users/Kerslager/RedHat-6.0/SRPMS/xinitrc-2.4.1-2cs.src.rpm

Public PGP key by: finger kerslage@pluto.spsselib.hiedu.cz

I wish to have it in 6.1 (to be happy due localization feature).
Patch to Xfree follow...

Comment 2 Preston Brown 1999-09-23 18:30:59 UTC
Generally xkb is configured through /etc/X11/XF86Config.  However,
your additions seem harmless and perhaps beneficial, so I have added
them for the next release.


Note You need to log in before you can comment on or make changes to this bug.